Bug 1781284 - CVO extract job runs in the best-effort QoS, should be in burstable
Summary: CVO extract job runs in the best-effort QoS, should be in burstable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Clayton Coleman
QA Contact: liujia
URL:
Whiteboard:
Depends On: 1781283
Blocks: 1785533
TreeView+ depends on / blocked
 
Reported: 2019-12-09 17:14 UTC by Clayton Coleman
Modified: 2020-01-23 11:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1781283
: 1785533 (view as bug list)
Environment:
Last Closed: 2020-01-23 11:18:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:18:41 UTC

Description Clayton Coleman 2019-12-09 17:14:11 UTC
+++ This bug was initially created as a clone of Bug #1781283 +++

Noticed this in skew tests, but it can also happen when the CVO gets rescheduled onto a different machine during an upgrade.

https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-old-rhcos-e2e-aws-4.4/11

We should be setting resource requests, looking at e2e runs it's ~ 10m CPU and 50Mi mem, roughly 1Mi disk.

Comment 2 liujia 2019-12-20 06:50:04 UTC
Run upgrade from 4.3.0-0.nightly-2019-12-19-185024 to 4.3.0-0.nightly-2019-12-19-204222, checked extract job runs in burstable qos:
# oc get pod/version--np5tt-wrpmp -o json|jq .spec.containers[].resources
{
  "requests": {
    "cpu": "10m",
    "ephemeral-storage": "2Mi",
    "memory": "50Mi"
  }
}
# oc get pod/version--np5tt-wrpmp -o json|jq .status.qosClass
"Burstable"

But checked the 4.2-4.3 upgrade ci test result, still failed with [Feature:Platform][Smoke] Managed cluster should ensure control plane pods do not run in best-effort QoS. 
https://search.svc.ci.openshift.org/?search=pods+found+in+best-effort+QoS&maxAge=168h&context=2&type=all

So i think we need backport the fix to 4.2 to let the ci test pass, so clone a bug to 4.2 and verify this bug.

Comment 4 errata-xmlrpc 2020-01-23 11:18:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.